HttpHeaders (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.http

## Class HttpHeaders

- java.lang.Object
- - org.eclipse.jetty.io.BufferCache
  - - org.eclipse.jetty.http.HttpHeaders

-     public class HttpHeaders
      extends BufferCache

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.io.BufferCache

      `BufferCache.CachedBuffer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCEPT` Request Fields.
    `static Buffer` | `ACCEPT_BUFFER`
    `static String` | `ACCEPT_CHARSET` Request Fields.
    `static Buffer` | `ACCEPT_CHARSET_BUFFER`
    `static int` | `ACCEPT_CHARSET_ORDINAL`
    `static String` | `ACCEPT_ENCODING` Request Fields.
    `static Buffer` | `ACCEPT_ENCODING_BUFFER`
    `static int` | `ACCEPT_ENCODING_ORDINAL`
    `static String` | `ACCEPT_LANGUAGE` Request Fields.
    `static Buffer` | `ACCEPT_LANGUAGE_BUFFER`
    `static int` | `ACCEPT_LANGUAGE_ORDINAL`
    `static int` | `ACCEPT_ORDINAL`
    `static String` | `ACCEPT_RANGES` Response Fields.
    `static Buffer` | `ACCEPT_RANGES_BUFFER`
    `static int` | `ACCEPT_RANGES_ORDINAL`
    `static String` | `AGE` Response Fields.
    `static Buffer` | `AGE_BUFFER`
    `static int` | `AGE_ORDINAL`
    `static String` | `ALLOW` Entity Fields.
    `static Buffer` | `ALLOW_BUFFER`
    `static int` | `ALLOW_ORDINAL`
    `static String` | `AUTHORIZATION` Request Fields.
    `static Buffer` | `AUTHORIZATION_BUFFER`
    `static int` | `AUTHORIZATION_ORDINAL`
    `static HttpHeaders` | `CACHE`
    `static String` | `CACHE_CONTROL` General Fields.
    `static Buffer` | `CACHE_CONTROL_BUFFER`
    `static int` | `CACHE_CONTROL_ORDINAL`
    `static String` | `CONNECTION` General Fields.
    `static Buffer` | `CONNECTION_BUFFER`
    `static int` | `CONNECTION_ORDINAL`
    `static String` | `CONTENT_ENCODING` Entity Fields.
    `static Buffer` | `CONTENT_ENCODING_BUFFER`
    `static int` | `CONTENT_ENCODING_ORDINAL`
    `static String` | `CONTENT_LANGUAGE` Entity Fields.
    `static Buffer` | `CONTENT_LANGUAGE_BUFFER`
    `static int` | `CONTENT_LANGUAGE_ORDINAL`
    `static String` | `CONTENT_LENGTH` Entity Fields.
    `static Buffer` | `CONTENT_LENGTH_BUFFER`
    `static int` | `CONTENT_LENGTH_ORDINAL`
    `static String` | `CONTENT_LOCATION` Entity Fields.
    `static Buffer` | `CONTENT_LOCATION_BUFFER`
    `static int` | `CONTENT_LOCATION_ORDINAL`
    `static String` | `CONTENT_MD5` Entity Fields.
    `static Buffer` | `CONTENT_MD5_BUFFER`
    `static int` | `CONTENT_MD5_ORDINAL`
    `static String` | `CONTENT_RANGE` Entity Fields.
    `static Buffer` | `CONTENT_RANGE_BUFFER`
    `static int` | `CONTENT_RANGE_ORDINAL`
    `static String` | `CONTENT_TYPE` Entity Fields.
    `static Buffer` | `CONTENT_TYPE_BUFFER`
    `static int` | `CONTENT_TYPE_ORDINAL`
    `static String` | `COOKIE` Other Fields.
    `static Buffer` | `COOKIE_BUFFER`
    `static int` | `COOKIE_ORDINAL`
    `static String` | `DATE` General Fields.
    `static Buffer` | `DATE_BUFFER`
    `static int` | `DATE_ORDINAL`
    `static String` | `ETAG` Response Fields.
    `static Buffer` | `ETAG_BUFFER`
    `static int` | `ETAG_ORDINAL`
    `static String` | `EXPECT` Request Fields.
    `static Buffer` | `EXPECT_BUFFER`
    `static int` | `EXPECT_ORDINAL`
    `static String` | `EXPIRES` Entity Fields.
    `static Buffer` | `EXPIRES_BUFFER`
    `static int` | `EXPIRES_ORDINAL`
    `static String` | `FORWARDED` Request Fields.
    `static Buffer` | `FORWARDED_BUFFER`
    `static int` | `FORWARDED_ORDINAL`
    `static String` | `FROM` Request Fields.
    `static Buffer` | `FROM_BUFFER`
    `static int` | `FROM_ORDINAL`
    `static String` | `HOST` Request Fields.
    `static Buffer` | `HOST_BUFFER`
    `static int` | `HOST_ORDINAL`
    `static String` | `IDENTITY` Other Fields.
    `static Buffer` | `IDENTITY_BUFFER`
    `static int` | `IDENTITY_ORDINAL`
    `static String` | `IF_MATCH` Request Fields.
    `static Buffer` | `IF_MATCH_BUFFER`
    `static int` | `IF_MATCH_ORDINAL`
    `static String` | `IF_MODIFIED_SINCE` Request Fields.
    `static Buffer` | `IF_MODIFIED_SINCE_BUFFER`
    `static int` | `IF_MODIFIED_SINCE_ORDINAL`
    `static String` | `IF_NONE_MATCH` Request Fields.
    `static Buffer` | `IF_NONE_MATCH_BUFFER`
    `static int` | `IF_NONE_MATCH_ORDINAL`
    `static String` | `IF_RANGE` Request Fields.
    `static Buffer` | `IF_RANGE_BUFFER`
    `static int` | `IF_RANGE_ORDINAL`
    `static String` | `IF_UNMODIFIED_SINCE` Request Fields.
    `static Buffer` | `IF_UNMODIFIED_SINCE_BUFFER`
    `static int` | `IF_UNMODIFIED_SINCE_ORDINAL`
    `static String` | `KEEP_ALIVE` Request Fields.
    `static Buffer` | `KEEP_ALIVE_BUFFER`
    `static int` | `KEEP_ALIVE_ORDINAL`
    `static String` | `LAST_MODIFIED` Entity Fields.
    `static Buffer` | `LAST_MODIFIED_BUFFER`
    `static int` | `LAST_MODIFIED_ORDINAL`
    `static String` | `LOCATION` Response Fields.
    `static Buffer` | `LOCATION_BUFFER`
    `static int` | `LOCATION_ORDINAL`
    `static String` | `MAX_FORWARDS` Request Fields.
    `static Buffer` | `MAX_FORWARDS_BUFFER`
    `static int` | `MAX_FORWARDS_ORDINAL`
    `static String` | `MIME_VERSION` Other Fields.
    `static Buffer` | `MIME_VERSION_BUFFER`
    `static int` | `MIME_VERSION_ORDINAL`
    `static String` | `NEGOTIATE` General Fields.
    `static String` | `PRAGMA` General Fields.
    `static Buffer` | `PRAGMA_BUFFER`
    `static int` | `PRAGMA_ORDINAL`
    `static String` | `PROXY_AUTHENTICATE` Response Fields.
    `static Buffer` | `PROXY_AUTHENTICATE_BUFFER`
    `static int` | `PROXY_AUTHENTICATE_ORDINAL`
    `static String` | `PROXY_AUTHORIZATION` Request Fields.
    `static Buffer` | `PROXY_AUTHORIZATION_BUFFER`
    `static int` | `PROXY_AUTHORIZATION_ORDINAL`
    `static String` | `PROXY_CONNECTION` General Fields.
    `static Buffer` | `PROXY_CONNECTION_BUFFER`
    `static int` | `PROXY_CONNECTION_ORDINAL`
    `static String` | `RANGE` Request Fields.
    `static Buffer` | `RANGE_BUFFER`
    `static int` | `RANGE_ORDINAL`
    `static String` | `REFERER` Request Fields.
    `static Buffer` | `REFERER_BUFFER`
    `static int` | `REFERER_ORDINAL`
    `static String` | `REQUEST_RANGE` Request Fields.
    `static Buffer` | `REQUEST_RANGE_BUFFER`
    `static int` | `REQUEST_RANGE_ORDINAL`
    `static String` | `RETRY_AFTER` Response Fields.
    `static Buffer` | `RETRY_AFTER_BUFFER`
    `static int` | `RETRY_AFTER_ORDINAL`
    `static String` | `SERVER` Response Fields.
    `static Buffer` | `SERVER_BUFFER`
    `static int` | `SERVER_ORDINAL`
    `static String` | `SERVLET_ENGINE` Response Fields.
    `static Buffer` | `SERVLET_ENGINE_BUFFER`
    `static int` | `SERVLET_ENGINE_ORDINAL`
    `static String` | `SET_COOKIE` Other Fields.
    `static Buffer` | `SET_COOKIE_BUFFER`
    `static int` | `SET_COOKIE_ORDINAL`
    `static String` | `SET_COOKIE2` Other Fields.
    `static Buffer` | `SET_COOKIE2_BUFFER`
    `static int` | `SET_COOKIE2_ORDINAL`
    `static String` | `TE` Request Fields.
    `static Buffer` | `TE_BUFFER`
    `static int` | `TE_ORDINAL`
    `static String` | `TRAILER` General Fields.
    `static Buffer` | `TRAILER_BUFFER`
    `static int` | `TRAILER_ORDINAL`
    `static String` | `TRANSFER_ENCODING` General Fields.
    `static Buffer` | `TRANSFER_ENCODING_BUFFER`
    `static int` | `TRANSFER_ENCODING_ORDINAL`
    `static String` | `UPGRADE` General Fields.
    `static Buffer` | `UPGRADE_BUFFER`
    `static int` | `UPGRADE_ORDINAL`
    `static String` | `USER_AGENT` Request Fields.
    `static Buffer` | `USER_AGENT_BUFFER`
    `static int` | `USER_AGENT_ORDINAL`
    `static String` | `VARY` Response Fields.
    `static Buffer` | `VARY_BUFFER`
    `static int` | `VARY_ORDINAL`
    `static String` | `VIA` General Fields.
    `static Buffer` | `VIA_BUFFER`
    `static int` | `VIA_ORDINAL`
    `static String` | `WARNING` General Fields.
    `static Buffer` | `WARNING_BUFFER`
    `static int` | `WARNING_ORDINAL`
    `static String` | `WWW_AUTHENTICATE` Response Fields.
    `static Buffer` | `WWW_AUTHENTICATE_BUFFER`
    `static int` | `WWW_AUTHENTICATE_ORDINAL`
    `static String` | `X_FORWARDED_FOR` Request Fields.
    `static Buffer` | `X_FORWARDED_FOR_BUFFER`
    `static int` | `X_FORWARDED_FOR_ORDINAL`
    `static String` | `X_FORWARDED_HOST` Request Fields.
    `static Buffer` | `X_FORWARDED_HOST_BUFFER`
    `static int` | `X_FORWARDED_HOST_ORDINAL`
    `static String` | `X_FORWARDED_PROTO` Request Fields.
    `static Buffer` | `X_FORWARDED_PROTO_BUFFER`
    `static int` | `X_FORWARDED_PROTO_ORDINAL`
    `static String` | `X_FORWARDED_SERVER` Request Fields.
    `static Buffer` | `X_FORWARDED_SERVER_BUFFER`
    `static int` | `X_FORWARDED_SERVER_ORDINAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpHeaders()`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.jetty.io.BufferCache

      `add, get, get, get, getBest, getOrdinal, getOrdinal, lookup, lookup, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTION

          public static final String CONNECTION

      General Fields.
      See Also:
        Constant Field Values

    - #### CACHE_CONTROL

          public static final String CACHE_CONTROL

      General Fields.
      See Also:
        Constant Field Values

    - #### DATE

          public static final String DATE

      General Fields.
      See Also:
        Constant Field Values

    - #### PRAGMA

          public static final String PRAGMA

      General Fields.
      See Also:
        Constant Field Values

    - #### PROXY_CONNECTION

          public static final String PROXY_CONNECTION

      General Fields.
      See Also:
        Constant Field Values

    - #### TRAILER

          public static final String TRAILER

      General Fields.
      See Also:
        Constant Field Values

    - #### TRANSFER_ENCODING

          public static final String TRANSFER_ENCODING

      General Fields.
      See Also:
        Constant Field Values

    - #### UPGRADE

          public static final String UPGRADE

      General Fields.
      See Also:
        Constant Field Values

    - #### VIA

          public static final String VIA

      General Fields.
      See Also:
        Constant Field Values

    - #### WARNING

          public static final String WARNING

      General Fields.
      See Also:
        Constant Field Values

    - #### NEGOTIATE

          public static final String NEGOTIATE

      General Fields.
      See Also:
        Constant Field Values

    - #### ALLOW

          public static final String ALLOW

      Entity Fields.
      See Also:
        Constant Field Values

    - #### CONTENT_ENCODING

          public static final String CONTENT_ENCODING

      Entity Fields.
      See Also:
        Constant Field Values

    - #### CONTENT_LANGUAGE

          public static final String CONTENT_LANGUAGE

      Entity Fields.
      See Also:
        Constant Field Values

    - #### CONTENT_LENGTH

          public static final String CONTENT_LENGTH

      Entity Fields.
      See Also:
        Constant Field Values

    - #### CONTENT_LOCATION

          public static final String CONTENT_LOCATION

      Entity Fields.
      See Also:
        Constant Field Values

    - #### CONTENT_MD5

          public static final String CONTENT_MD5

      Entity Fields.
      See Also:
        Constant Field Values

    - #### CONTENT_RANGE

          public static final String CONTENT_RANGE

      Entity Fields.
      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          public static final String CONTENT_TYPE

      Entity Fields.
      See Also:
        Constant Field Values

    - #### EXPIRES

          public static final String EXPIRES

      Entity Fields.
      See Also:
        Constant Field Values

    - #### LAST_MODIFIED

          public static final String LAST_MODIFIED

      Entity Fields.
      See Also:
        Constant Field Values

    - #### ACCEPT

          public static final String ACCEPT

      Request Fields.
      See Also:
        Constant Field Values

    - #### ACCEPT_CHARSET

          public static final String ACCEPT_CHARSET

      Request Fields.
      See Also:
        Constant Field Values

    - #### ACCEPT_ENCODING

          public static final String ACCEPT_ENCODING

      Request Fields.
      See Also:
        Constant Field Values

    - #### ACCEPT_LANGUAGE

          public static final String ACCEPT_LANGUAGE

      Request Fields.
      See Also:
        Constant Field Values

    - #### AUTHORIZATION

          public static final String AUTHORIZATION

      Request Fields.
      See Also:
        Constant Field Values

    - #### EXPECT

          public static final String EXPECT

      Request Fields.
      See Also:
        Constant Field Values

    - #### FORWARDED

          public static final String FORWARDED

      Request Fields.
      See Also:
        Constant Field Values

    - #### FROM

          public static final String FROM

      Request Fields.
      See Also:
        Constant Field Values

    - #### HOST

          public static final String HOST

      Request Fields.
      See Also:
        Constant Field Values

    - #### IF_MATCH

          public static final String IF_MATCH

      Request Fields.
      See Also:
        Constant Field Values

    - #### IF_MODIFIED_SINCE

          public static final String IF_MODIFIED_SINCE

      Request Fields.
      See Also:
        Constant Field Values

    - #### IF_NONE_MATCH

          public static final String IF_NONE_MATCH

      Request Fields.
      See Also:
        Constant Field Values

    - #### IF_RANGE

          public static final String IF_RANGE

      Request Fields.
      See Also:
        Constant Field Values

    - #### IF_UNMODIFIED_SINCE

          public static final String IF_UNMODIFIED_SINCE

      Request Fields.
      See Also:
        Constant Field Values

    - #### KEEP_ALIVE

          public static final String KEEP_ALIVE

      Request Fields.
      See Also:
        Constant Field Values

    - #### MAX_FORWARDS

          public static final String MAX_FORWARDS

      Request Fields.
      See Also:
        Constant Field Values

    - #### PROXY_AUTHORIZATION

          public static final String PROXY_AUTHORIZATION

      Request Fields.
      See Also:
        Constant Field Values

    - #### RANGE

          public static final String RANGE

      Request Fields.
      See Also:
        Constant Field Values

    - #### REQUEST_RANGE

          public static final String REQUEST_RANGE

      Request Fields.
      See Also:
        Constant Field Values

    - #### REFERER

          public static final String REFERER

      Request Fields.
      See Also:
        Constant Field Values

    - #### TE

          public static final String TE

      Request Fields.
      See Also:
        Constant Field Values

    - #### USER_AGENT

          public static final String USER_AGENT

      Request Fields.
      See Also:
        Constant Field Values

    - #### X_FORWARDED_FOR

          public static final String X_FORWARDED_FOR

      Request Fields.
      See Also:
        Constant Field Values

    - #### X_FORWARDED_PROTO

          public static final String X_FORWARDED_PROTO

      Request Fields.
      See Also:
        Constant Field Values

    - #### X_FORWARDED_SERVER

          public static final String X_FORWARDED_SERVER

      Request Fields.
      See Also:
        Constant Field Values

    - #### X_FORWARDED_HOST

          public static final String X_FORWARDED_HOST

      Request Fields.
      See Also:
        Constant Field Values

    - #### ACCEPT_RANGES

          public static final String ACCEPT_RANGES

      Response Fields.
      See Also:
        Constant Field Values

    - #### AGE

          public static final String AGE

      Response Fields.
      See Also:
        Constant Field Values

    - #### ETAG

          public static final String ETAG

      Response Fields.
      See Also:
        Constant Field Values

    - #### LOCATION

          public static final String LOCATION

      Response Fields.
      See Also:
        Constant Field Values

    - #### PROXY_AUTHENTICATE

          public static final String PROXY_AUTHENTICATE

      Response Fields.
      See Also:
        Constant Field Values

    - #### RETRY_AFTER

          public static final String RETRY_AFTER

      Response Fields.
      See Also:
        Constant Field Values

    - #### SERVER

          public static final String SERVER

      Response Fields.
      See Also:
        Constant Field Values

    - #### SERVLET_ENGINE

          public static final String SERVLET_ENGINE

      Response Fields.
      See Also:
        Constant Field Values

    - #### VARY

          public static final String VARY

      Response Fields.
      See Also:
        Constant Field Values

    - #### WWW_AUTHENTICATE

          public static final String WWW_AUTHENTICATE

      Response Fields.
      See Also:
        Constant Field Values

    - #### COOKIE

          public static final String COOKIE

      Other Fields.
      See Also:
        Constant Field Values

    - #### SET_COOKIE

          public static final String SET_COOKIE

      Other Fields.
      See Also:
        Constant Field Values

    - #### SET_COOKIE2

          public static final String SET_COOKIE2

      Other Fields.
      See Also:
        Constant Field Values

    - #### MIME_VERSION

          public static final String MIME_VERSION

      Other Fields.
      See Also:
        Constant Field Values

    - #### IDENTITY

          public static final String IDENTITY

      Other Fields.
      See Also:
        Constant Field Values

    - #### CONNECTION_ORDINAL

          public static final int CONNECTION_ORDINAL

      See Also:
        Constant Field Values

    - #### DATE_ORDINAL

          public static final int DATE_ORDINAL

      See Also:
        Constant Field Values

    - #### PRAGMA_ORDINAL

          public static final int PRAGMA_ORDINAL

      See Also:
        Constant Field Values

    - #### TRAILER_ORDINAL

          public static final int TRAILER_ORDINAL

      See Also:
        Constant Field Values

    - #### TRANSFER_ENCODING_ORDINAL

          public static final int TRANSFER_ENCODING_ORDINAL

      See Also:
        Constant Field Values

    - #### UPGRADE_ORDINAL

          public static final int UPGRADE_ORDINAL

      See Also:
        Constant Field Values

    - #### VIA_ORDINAL

          public static final int VIA_ORDINAL

      See Also:
        Constant Field Values

    - #### WARNING_ORDINAL

          public static final int WARNING_ORDINAL

      See Also:
        Constant Field Values

    - #### ALLOW_ORDINAL

          public static final int ALLOW_ORDINAL

      See Also:
        Constant Field Values

    - #### CONTENT_ENCODING_ORDINAL

          public static final int CONTENT_ENCODING_ORDINAL

      See Also:
        Constant Field Values

    - #### CONTENT_LANGUAGE_ORDINAL

          public static final int CONTENT_LANGUAGE_ORDINAL

      See Also:
        Constant Field Values

    - #### CONTENT_LENGTH_ORDINAL

          public static final int CONTENT_LENGTH_ORDINAL

      See Also:
        Constant Field Values

    - #### CONTENT_LOCATION_ORDINAL

          public static final int CONTENT_LOCATION_ORDINAL

      See Also:
        Constant Field Values

    - #### CONTENT_MD5_ORDINAL

          public static final int CONTENT_MD5_ORDINAL

      See Also:
        Constant Field Values

    - #### CONTENT_RANGE_ORDINAL

          public static final int CONTENT_RANGE_ORDINAL

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_ORDINAL

          public static final int CONTENT_TYPE_ORDINAL

      See Also:
        Constant Field Values

    - #### EXPIRES_ORDINAL

          public static final int EXPIRES_ORDINAL

      See Also:
        Constant Field Values

    - #### LAST_MODIFIED_ORDINAL

          public static final int LAST_MODIFIED_ORDINAL

      See Also:
        Constant Field Values

    - #### ACCEPT_ORDINAL

          public static final int ACCEPT_ORDINAL

      See Also:
        Constant Field Values

    - #### ACCEPT_CHARSET_ORDINAL

          public static final int ACCEPT_CHARSET_ORDINAL

      See Also:
        Constant Field Values

    - #### ACCEPT_ENCODING_ORDINAL

          public static final int ACCEPT_ENCODING_ORDINAL

      See Also:
        Constant Field Values

    - #### ACCEPT_LANGUAGE_ORDINAL

          public static final int ACCEPT_LANGUAGE_ORDINAL

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_ORDINAL

          public static final int AUTHORIZATION_ORDINAL

      See Also:
        Constant Field Values

    - #### EXPECT_ORDINAL

          public static final int EXPECT_ORDINAL

      See Also:
        Constant Field Values

    - #### FORWARDED_ORDINAL

          public static final int FORWARDED_ORDINAL

      See Also:
        Constant Field Values

    - #### FROM_ORDINAL

          public static final int FROM_ORDINAL

      See Also:
        Constant Field Values

    - #### HOST_ORDINAL

          public static final int HOST_ORDINAL

      See Also:
        Constant Field Values

    - #### IF_MATCH_ORDINAL

          public static final int IF_MATCH_ORDINAL

      See Also:
        Constant Field Values

    - #### IF_MODIFIED_SINCE_ORDINAL

          public static final int IF_MODIFIED_SINCE_ORDINAL

      See Also:
        Constant Field Values

    - #### IF_NONE_MATCH_ORDINAL

          public static final int IF_NONE_MATCH_ORDINAL

      See Also:
        Constant Field Values

    - #### IF_RANGE_ORDINAL

          public static final int IF_RANGE_ORDINAL

      See Also:
        Constant Field Values

    - #### IF_UNMODIFIED_SINCE_ORDINAL

          public static final int IF_UNMODIFIED_SINCE_ORDINAL

      See Also:
        Constant Field Values

    - #### KEEP_ALIVE_ORDINAL

          public static final int KEEP_ALIVE_ORDINAL

      See Also:
        Constant Field Values

    - #### MAX_FORWARDS_ORDINAL

          public static final int MAX_FORWARDS_ORDINAL

      See Also:
        Constant Field Values

    - #### PROXY_AUTHORIZATION_ORDINAL

          public static final int PROXY_AUTHORIZATION_ORDINAL

      See Also:
        Constant Field Values

    - #### RANGE_ORDINAL

          public static final int RANGE_ORDINAL

      See Also:
        Constant Field Values

    - #### REQUEST_RANGE_ORDINAL

          public static final int REQUEST_RANGE_ORDINAL

      See Also:
        Constant Field Values

    - #### REFERER_ORDINAL

          public static final int REFERER_ORDINAL

      See Also:
        Constant Field Values

    - #### TE_ORDINAL

          public static final int TE_ORDINAL

      See Also:
        Constant Field Values

    - #### USER_AGENT_ORDINAL

          public static final int USER_AGENT_ORDINAL

      See Also:
        Constant Field Values

    - #### X_FORWARDED_FOR_ORDINAL

          public static final int X_FORWARDED_FOR_ORDINAL

      See Also:
        Constant Field Values

    - #### ACCEPT_RANGES_ORDINAL

          public static final int ACCEPT_RANGES_ORDINAL

      See Also:
        Constant Field Values

    - #### AGE_ORDINAL

          public static final int AGE_ORDINAL

      See Also:
        Constant Field Values

    - #### ETAG_ORDINAL

          public static final int ETAG_ORDINAL

      See Also:
        Constant Field Values

    - #### LOCATION_ORDINAL

          public static final int LOCATION_ORDINAL

      See Also:
        Constant Field Values

    - #### PROXY_AUTHENTICATE_ORDINAL

          public static final int PROXY_AUTHENTICATE_ORDINAL

      See Also:
        Constant Field Values

    - #### RETRY_AFTER_ORDINAL

          public static final int RETRY_AFTER_ORDINAL

      See Also:
        Constant Field Values

    - #### SERVER_ORDINAL

          public static final int SERVER_ORDINAL

      See Also:
        Constant Field Values

    - #### SERVLET_ENGINE_ORDINAL

          public static final int SERVLET_ENGINE_ORDINAL

      See Also:
        Constant Field Values

    - #### VARY_ORDINAL

          public static final int VARY_ORDINAL

      See Also:
        Constant Field Values

    - #### WWW_AUTHENTICATE_ORDINAL

          public static final int WWW_AUTHENTICATE_ORDINAL

      See Also:
        Constant Field Values

    - #### COOKIE_ORDINAL

          public static final int COOKIE_ORDINAL

      See Also:
        Constant Field Values

    - #### SET_COOKIE_ORDINAL

          public static final int SET_COOKIE_ORDINAL

      See Also:
        Constant Field Values

    - #### SET_COOKIE2_ORDINAL

          public static final int SET_COOKIE2_ORDINAL

      See Also:
        Constant Field Values

    - #### MIME_VERSION_ORDINAL

          public static final int MIME_VERSION_ORDINAL

      See Also:
        Constant Field Values

    - #### IDENTITY_ORDINAL

          public static final int IDENTITY_ORDINAL

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_ORDINAL

          public static final int CACHE_CONTROL_ORDINAL

      See Also:
        Constant Field Values

    - #### PROXY_CONNECTION_ORDINAL

          public static final int PROXY_CONNECTION_ORDINAL

      See Also:
        Constant Field Values

    - #### X_FORWARDED_PROTO_ORDINAL

          public static final int X_FORWARDED_PROTO_ORDINAL

      See Also:
        Constant Field Values

    - #### X_FORWARDED_SERVER_ORDINAL

          public static final int X_FORWARDED_SERVER_ORDINAL

      See Also:
        Constant Field Values

    - #### X_FORWARDED_HOST_ORDINAL

          public static final int X_FORWARDED_HOST_ORDINAL

      See Also:
        Constant Field Values

    - #### CACHE

          public static final HttpHeaders CACHE

    - #### HOST_BUFFER

          public static final Buffer HOST_BUFFER

    - #### ACCEPT_BUFFER

          public static final Buffer ACCEPT_BUFFER

    - #### ACCEPT_CHARSET_BUFFER

          public static final Buffer ACCEPT_CHARSET_BUFFER

    - #### ACCEPT_ENCODING_BUFFER

          public static final Buffer ACCEPT_ENCODING_BUFFER

    - #### ACCEPT_LANGUAGE_BUFFER

          public static final Buffer ACCEPT_LANGUAGE_BUFFER

    - #### CONTENT_LENGTH_BUFFER

          public static final Buffer CONTENT_LENGTH_BUFFER

    - #### CONNECTION_BUFFER

          public static final Buffer CONNECTION_BUFFER

    - #### CACHE_CONTROL_BUFFER

          public static final Buffer CACHE_CONTROL_BUFFER

    - #### DATE_BUFFER

          public static final Buffer DATE_BUFFER

    - #### PRAGMA_BUFFER

          public static final Buffer PRAGMA_BUFFER

    - #### TRAILER_BUFFER

          public static final Buffer TRAILER_BUFFER

    - #### TRANSFER_ENCODING_BUFFER

          public static final Buffer TRANSFER_ENCODING_BUFFER

    - #### UPGRADE_BUFFER

          public static final Buffer UPGRADE_BUFFER

    - #### VIA_BUFFER

          public static final Buffer VIA_BUFFER

    - #### WARNING_BUFFER

          public static final Buffer WARNING_BUFFER

    - #### ALLOW_BUFFER

          public static final Buffer ALLOW_BUFFER

    - #### CONTENT_ENCODING_BUFFER

          public static final Buffer CONTENT_ENCODING_BUFFER

    - #### CONTENT_LANGUAGE_BUFFER

          public static final Buffer CONTENT_LANGUAGE_BUFFER

    - #### CONTENT_LOCATION_BUFFER

          public static final Buffer CONTENT_LOCATION_BUFFER

    - #### CONTENT_MD5_BUFFER

          public static final Buffer CONTENT_MD5_BUFFER

    - #### CONTENT_RANGE_BUFFER

          public static final Buffer CONTENT_RANGE_BUFFER

    - #### CONTENT_TYPE_BUFFER

          public static final Buffer CONTENT_TYPE_BUFFER

    - #### EXPIRES_BUFFER

          public static final Buffer EXPIRES_BUFFER

    - #### LAST_MODIFIED_BUFFER

          public static final Buffer LAST_MODIFIED_BUFFER

    - #### AUTHORIZATION_BUFFER

          public static final Buffer AUTHORIZATION_BUFFER

    - #### EXPECT_BUFFER

          public static final Buffer EXPECT_BUFFER

    - #### FORWARDED_BUFFER

          public static final Buffer FORWARDED_BUFFER

    - #### FROM_BUFFER

          public static final Buffer FROM_BUFFER

    - #### IF_MATCH_BUFFER

          public static final Buffer IF_MATCH_BUFFER

    - #### IF_MODIFIED_SINCE_BUFFER

          public static final Buffer IF_MODIFIED_SINCE_BUFFER

    - #### IF_NONE_MATCH_BUFFER

          public static final Buffer IF_NONE_MATCH_BUFFER

    - #### IF_RANGE_BUFFER

          public static final Buffer IF_RANGE_BUFFER

    - #### IF_UNMODIFIED_SINCE_BUFFER

          public static final Buffer IF_UNMODIFIED_SINCE_BUFFER

    - #### KEEP_ALIVE_BUFFER

          public static final Buffer KEEP_ALIVE_BUFFER

    - #### MAX_FORWARDS_BUFFER

          public static final Buffer MAX_FORWARDS_BUFFER

    - #### PROXY_AUTHORIZATION_BUFFER

          public static final Buffer PROXY_AUTHORIZATION_BUFFER

    - #### RANGE_BUFFER

          public static final Buffer RANGE_BUFFER

    - #### REQUEST_RANGE_BUFFER

          public static final Buffer REQUEST_RANGE_BUFFER

    - #### REFERER_BUFFER

          public static final Buffer REFERER_BUFFER

    - #### TE_BUFFER

          public static final Buffer TE_BUFFER

    - #### USER_AGENT_BUFFER

          public static final Buffer USER_AGENT_BUFFER

    - #### X_FORWARDED_FOR_BUFFER

          public static final Buffer X_FORWARDED_FOR_BUFFER

    - #### X_FORWARDED_PROTO_BUFFER

          public static final Buffer X_FORWARDED_PROTO_BUFFER

    - #### X_FORWARDED_SERVER_BUFFER

          public static final Buffer X_FORWARDED_SERVER_BUFFER

    - #### X_FORWARDED_HOST_BUFFER

          public static final Buffer X_FORWARDED_HOST_BUFFER

    - #### ACCEPT_RANGES_BUFFER

          public static final Buffer ACCEPT_RANGES_BUFFER

    - #### AGE_BUFFER

          public static final Buffer AGE_BUFFER

    - #### ETAG_BUFFER

          public static final Buffer ETAG_BUFFER

    - #### LOCATION_BUFFER

          public static final Buffer LOCATION_BUFFER

    - #### PROXY_AUTHENTICATE_BUFFER

          public static final Buffer PROXY_AUTHENTICATE_BUFFER

    - #### RETRY_AFTER_BUFFER

          public static final Buffer RETRY_AFTER_BUFFER

    - #### SERVER_BUFFER

          public static final Buffer SERVER_BUFFER

    - #### SERVLET_ENGINE_BUFFER

          public static final Buffer SERVLET_ENGINE_BUFFER

    - #### VARY_BUFFER

          public static final Buffer VARY_BUFFER

    - #### WWW_AUTHENTICATE_BUFFER

          public static final Buffer WWW_AUTHENTICATE_BUFFER

    - #### COOKIE_BUFFER

          public static final Buffer COOKIE_BUFFER

    - #### SET_COOKIE_BUFFER

          public static final Buffer SET_COOKIE_BUFFER

    - #### SET_COOKIE2_BUFFER

          public static final Buffer SET_COOKIE2_BUFFER

    - #### MIME_VERSION_BUFFER

          public static final Buffer MIME_VERSION_BUFFER

    - #### IDENTITY_BUFFER

          public static final Buffer IDENTITY_BUFFER

    - #### PROXY_CONNECTION_BUFFER

          public static final Buffer PROXY_CONNECTION_BUFFER

  - ### Constructor Detail

    - #### HttpHeaders

          public HttpHeaders()

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.